> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /north_dakota/companies

> Get full North Dakota business details from the Secretary of State registry by system id: name, filing type and subtype, status, standings (annual report, registered agent, other), jurisdiction of formation, nature of business, term of duration, initial filing date, delayed effective date, expiration date, annual report due date, owner (name, address), principal and mailing addresses and registered agent (name, type, address).

**Price:** 1 credit

**⚠️ Common errors:** 412: No business found for the given system id



## OpenAPI

````yaml /openapi/company-registries.json post /api/north_dakota/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/north_dakota/companies:
    post:
      tags:
        - US
      summary: /north_dakota/companies
      description: >-
        Get full North Dakota business details from the Secretary of State
        registry by system id: name, filing type and subtype, status, standings
        (annual report, registered agent, other), jurisdiction of formation,
        nature of business, term of duration, initial filing date, delayed
        effective date, expiration date, annual report due date, owner (name,
        address), principal and mailing addresses and registered agent (name,
        type, address).


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No business found for the given system id
      operationId: __api_north_dakota_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NorthDakotaCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NorthDakotaCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NorthDakotaCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        system_id:
          type: string
          minLength: 1
      type: object
      required:
        - system_id
    NorthDakotaCompany:
      properties:
        '@type':
          type: string
          default: NorthDakotaCompany
        system_id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        filing_type:
          anyOf:
            - type: string
            - type: 'null'
        filing_subtype:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        standing_ar:
          anyOf:
            - type: string
            - type: 'null'
        standing_ra:
          anyOf:
            - type: string
            - type: 'null'
        standing_other:
          anyOf:
            - type: string
            - type: 'null'
        formed_in:
          anyOf:
            - type: string
            - type: 'null'
        nature_of_business:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
        initial_filing_date:
          anyOf:
            - type: string
            - type: 'null'
        delayed_effective_date:
          anyOf:
            - type: string
            - type: 'null'
        expiration_date:
          anyOf:
            - type: string
            - type: 'null'
        inactive_date:
          anyOf:
            - type: string
            - type: 'null'
        annual_report_due_date:
          anyOf:
            - type: string
            - type: 'null'
        owner_name:
          anyOf:
            - type: string
            - type: 'null'
        owner_address:
          anyOf:
            - type: string
            - type: 'null'
        principal_address:
          anyOf:
            - $ref: '#/components/schemas/NorthDakotaAddress'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/NorthDakotaAddress'
            - type: 'null'
        registered_agent:
          anyOf:
            - $ref: '#/components/schemas/NorthDakotaRegisteredAgent'
            - type: 'null'
      type: object
      required:
        - system_id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    NorthDakotaAddress:
      properties:
        '@type':
          type: string
          default: NorthDakotaAddress
        street:
          anyOf:
            - type: string
            - type: 'null'
        locality:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    NorthDakotaRegisteredAgent:
      properties:
        '@type':
          type: string
          default: NorthDakotaRegisteredAgent
        name:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````